import React, { useState, useEffect } from 'react';
import {FormComponent} from '@formbird/types';
import { convertToCustomElement } from '../utils/CustomElementWrapper';

const ReTestSelectComponent = ({
  document,
  fieldValue,
  template,
  fieldName,
  formParameters,
  key,
  responsiveLayouts,
  message,
  componentDefinition
}) => {

  const [value, setValue] = useState();

  useEffect(() => {
    if (fieldValue) {
      setValue(fieldValue);
    } else if (componentDefinition.defaultValue) {
      setValue(componentDefinition.defaultValue);
    }
  }, []);

  return (
    <p>re-test-select works. Please edit src/components/ReTestSelectComponent.tsx to make changes</p>
  );
};

// register the component as a custom element so it can be shown in formbird
convertToCustomElement('re-test-select', ReTestSelectComponent);

export default ReTestSelectComponent;
